---
updatedAt: 2025-06-25T21:54:26.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get NFT Transaction history

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v2/history/nft/transactions": {
      "get": {
        "tags": [
          "History"
        ],
        "summary": "Get NFT Transaction history",
        "operationId": "get_nft_transactions_eth_v2_history_nft_transactions_get",
        "parameters": [
          {
            "description": "Address of the contract for this NFT collection",
            "required": false,
            "schema": {
              "title": "Contract Address",
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string",
              "description": "Address of the contract for this NFT collection",
              "default": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
            },
            "example": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
            "name": "contract_address",
            "in": "query"
          },
          {
            "description": "The token ID for this NFT. Each item in an NFT collection     will be assigned a unique id.",
            "required": false,
            "schema": {
              "title": "Token Id",
              "type": "string",
              "description": "The token ID for this NFT. Each item in an NFT collection     will be assigned a unique id.",
              "default": 4495
            },
            "example": 4495,
            "name": "token_id",
            "in": "query"
          },
          {
            "description": "Now supported \"sale\",\"transfer\",\"mint\",\"burn\",\"tokenOffer\". Separate multiple action with commas.",
            "required": false,
            "schema": {
              "title": "Action",
              "type": "string",
              "description": "Now supported \"sale\",\"transfer\",\"mint\",\"burn\",\"tokenOffer\". Separate multiple action with commas.",
              "default": "all"
            },
            "example": "all",
            "name": "action",
            "in": "query"
          },
          {
            "description": "Queries can be bounded by a Start Time and End Time. Start Time is the earliest timestamp to include in the transaction query, formatted as an UTC timestamp in seconds or ISO 8601 format date time string, such as 2022-08-20T00:00:00+00:00. Start Time limited to 2021-09-01T00:00:00+00:00 or later.",
            "required": false,
            "schema": {
              "title": "Start Time",
              "type": "string",
              "description": "Queries can be bounded by a Start Time and End Time. Start Time is the earliest timestamp to include in the transaction query, formatted as an UTC timestamp in seconds or ISO 8601 format date time string, such as 2022-08-20T00:00:00+00:00. Start Time limited to 2021-09-01T00:00:00+00:00 or later.",
              "format": "date-time"
            },
            "example": 1661007946,
            "name": "start_time",
            "in": "query"
          },
          {
            "description": "Where an End Time is specified, transaction queries will fetch all transactions up to but excluding the End Time, which is formatted as an UTC timestamp in seconds or ISO 8601 format date time string. The query window varies according to the plan.",
            "required": false,
            "schema": {
              "title": "End Time",
              "type": "string",
              "description": "Where an End Time is specified, transaction queries will fetch all transactions up to but excluding the End Time, which is formatted as an UTC timestamp in seconds or ISO 8601 format date time string. The query window varies according to the plan.",
              "format": "date-time"
            },
            "example": 1662007946,
            "name": "end_time",
            "in": "query"
          },
          {
            "description": "Whether excluding wash trading transactions",
            "required": false,
            "schema": {
              "title": "Exclude Wash Trading",
              "type": "boolean",
              "description": "Whether excluding wash trading transactions",
              "default": false
            },
            "example": false,
            "name": "exclude_wash_trading",
            "in": "query"
          },
          {
            "description": "The index of data segments. The returned data is divided into many segments.    One segment is returned at a time. {offset} parameter indicates the index of data segments.",
            "required": false,
            "schema": {
              "title": "Offset",
              "maximum": 9950,
              "minimum": 0,
              "type": "integer",
              "description": "The index of data segments. The returned data is divided into many segments.    One segment is returned at a time. {offset} parameter indicates the index of data segments.",
              "default": 0
            },
            "example": 0,
            "name": "offset",
            "in": "query"
          },
          {
            "description": "Used to retrieve the next page of results",
            "required": false,
            "schema": {
              "title": "Cursor",
              "type": "string",
              "description": "Used to retrieve the next page of results",
              "default": ""
            },
            "example": "",
            "name": "cursor",
            "in": "query"
          },
          {
            "description": "The size of a returned data segment",
            "required": false,
            "schema": {
              "title": "Limit",
              "maximum": 100,
              "minimum": 0,
              "type": "integer",
              "description": "The size of a returned data segment",
              "default": 20
            },
            "example": 20,
            "name": "limit",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransactionListV2"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressInfoV2": {
        "title": "AddressInfoV2",
        "type": "object",
        "properties": {
          "address": {
            "title": "Address",
            "type": "string",
            "description": "The address on the blockchain"
          },
          "ens": {
            "title": "Ens",
            "type": "string",
            "description": "Ethereum Name Service"
          },
          "is_whale": {
            "title": "Is Whale",
            "type": "boolean",
            "description": "Whether the address is a whale",
            "default": false
          },
          "blockchain": {
            "title": "Blockchain",
            "type": "string"
          },
          "is_contract": {
            "title": "Is Contract",
            "type": "boolean",
            "description": "Whether the address is a contract address",
            "default": false
          },
          "is_blue_chip_holder": {
            "title": "Is Blue Chip Holder",
            "type": "boolean",
            "description": "Whether the address is a blue chip holder",
            "default": false
          },
          "is_super_blue_chip_holder": {
            "title": "Is Super Blue Chip Holder",
            "type": "boolean",
            "description": "Whether the address is a super blue chip holder",
            "default": false
          },
          "is_multi_sign_wallet": {
            "title": "Is Multi Sign Wallet",
            "type": "boolean",
            "description": "Whether the address is a multi-signature wallet",
            "default": false
          },
          "das": {
            "title": "Das",
            "type": "string",
            "description": "Bit domain name"
          },
          "alias": {
            "title": "Alias",
            "type": "string",
            "description": "NFTGO alias name"
          }
        }
      },
      "CollectionBaseInfo": {
        "title": "CollectionBaseInfo",
        "type": "object",
        "properties": {
          "collection_id": {
            "title": "Collection Id",
            "type": "string",
            "description": "The collection id of the collection"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "Collection name",
            "example": "Bored Ape Yacht Club"
          },
          "logo": {
            "title": "Logo",
            "type": "string",
            "description": "The logo url or base64 encoded data of a collection",
            "example": "https://static.nftgo.io/asset/1651210195557.png"
          },
          "slug": {
            "title": "Slug",
            "type": "string",
            "description": "A slug is generated from a collection name by using applying lower-case to all letters in the collection name and replacing all spaces with a '-'",
            "example": "bored-ape-yacht-club"
          }
        }
      },
      "Fee": {
        "title": "Fee",
        "type": "object",
        "properties": {
          "fee_type": {
            "title": "Fee Type",
            "type": "string",
            "description": "The fee_type represents the type of tax, and there are currently two types: marketplace and royalty."
          },
          "recipient": {
            "title": "Recipient",
            "type": "string",
            "description": "The address for the allocation of tax payments."
          },
          "bps": {
            "title": "Bps",
            "type": "integer",
            "description": "The tax rate, where 250 represents 2.5%."
          },
          "price": {
            "$ref": "#/components/schemas/PriceV3"
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "PaymentToken": {
        "title": "PaymentToken",
        "type": "object",
        "properties": {
          "address": {
            "title": "Address",
            "maxLength": 42,
            "minLength": 42,
            "pattern": "^0x[a-fA-F0-9]{40}$",
            "type": "string",
            "description": "The address of the token used for payment",
            "default": "0x0000000000000000000000000000000000000000"
          },
          "symbol": {
            "title": "Symbol",
            "type": "string",
            "description": "The symbol of the token used for payment",
            "default": "ETH"
          },
          "decimals": {
            "title": "Decimals",
            "type": "integer",
            "description": "The decimals of the token used for payment",
            "default": 18
          }
        }
      },
      "PriceV3": {
        "title": "PriceV3",
        "type": "object",
        "properties": {
          "value": {
            "title": "Value",
            "type": "number",
            "description": "Total value in the measure of {payment_token.symbol}",
            "example": 86.8042
          },
          "raw_value": {
            "title": "Raw Value",
            "type": "integer",
            "description": "Total raw value in the measure of {payment_token.symbol}",
            "example": 86804200000000000000
          },
          "usd": {
            "title": "Usd",
            "type": "number",
            "description": "Total US dollar value of the cryptocurrency. It equals to quantity * crypto_unit * usd_price_per_crypto_unit",
            "example": 99614.18167703273
          },
          "payment_token": {
            "title": "Payment Token",
            "allOf": [
              {
                "$ref": "#/components/schemas/PaymentToken"
              }
            ],
            "description": "The token used for payment",
            "default": {
              "address": "0x0000000000000000000000000000000000000000",
              "symbol": "ETH",
              "decimals": 18
            }
          }
        },
        "description": "Price in cryptocurrency or US dollars or eth"
      },
      "SimpleNFTInfoWithContractType": {
        "title": "SimpleNFTInfoWithContractType",
        "required": [
          "contract_address",
          "blockchain"
        ],
        "type": "object",
        "properties": {
          "contract_address": {
            "title": "Contract Address",
            "anyOf": [
              {
                "maxLength": 42,
                "minLength": 42,
                "pattern": "^0x[a-fA-F0-9]{40}$",
                "type": "string"
              },
              {
                "type": "string"
              }
            ],
            "description": "Contract address of the collection this NFT belongs to"
          },
          "token_id": {
            "title": "Token Id",
            "type": "string",
            "description": "The token ID of this NFT"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "The name of this NFT"
          },
          "blockchain": {
            "title": "Blockchain",
            "type": "string",
            "description": "The blockchain where this NFT resides"
          },
          "image": {
            "title": "Image",
            "type": "string",
            "description": "The url or base64 data of image or video associated with the NFT",
            "example": "https://static.nftgo.io/asset/metadata/image/5e236a5b9e95e4b88df604399ea7ca56229fdf86b9b8da78a6fd587a155b8b98"
          },
          "contract_type": {
            "title": "Contract Type",
            "type": "string",
            "description": "Type of contract: ERC721 or ERC1155",
            "example": "ERC721"
          }
        }
      },
      "TraitBase": {
        "title": "TraitBase",
        "type": "object",
        "properties": {
          "type": {
            "title": "Type",
            "type": "string",
            "description": "The type of trait"
          },
          "value": {
            "title": "Value",
            "type": "string",
            "description": "The value of trait"
          }
        }
      },
      "TraitOfferTarget": {
        "title": "TraitOfferTarget",
        "type": "object",
        "properties": {
          "key": {
            "title": "Key",
            "type": "string",
            "description": "The target trait of 'trait_offer' is the desired characteristic or attribute that the trait represents."
          },
          "kind": {
            "title": "Kind",
            "type": "string"
          },
          "trait": {
            "$ref": "#/components/schemas/TraitBase"
          }
        }
      },
      "TransactionListV2": {
        "title": "TransactionListV2",
        "required": [
          "total",
          "transactions"
        ],
        "type": "object",
        "properties": {
          "total": {
            "title": "Total",
            "type": "integer"
          },
          "next_cursor": {
            "title": "Next Cursor",
            "type": "string"
          },
          "transactions": {
            "title": "Transactions",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/routers__models__TransactionListV2___Transaction"
            }
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      },
      "routers__models__TransactionListV2___Transaction": {
        "title": "_Transaction",
        "required": [
          "blockchain",
          "event",
          "quantity",
          "time"
        ],
        "type": "object",
        "properties": {
          "blockchain": {
            "title": "Blockchain",
            "type": "string",
            "description": "The name of the blockchain where the transaction ocurred",
            "example": "ETH"
          },
          "sender": {
            "title": "Sender",
            "allOf": [
              {
                "$ref": "#/components/schemas/AddressInfoV2"
              }
            ],
            "description": "Sender of transaction",
            "example": {
              "address": "0xa5004c8b2d64ad08a80d33ad000820d63aa2ccc9",
              "is_whale": false,
              "blockchain": "ETH",
              "is_contract": false,
              "is_blue_chip_holder": false,
              "is_super_blue_chip_holder": false,
              "is_multi_sign_wallet": false
            }
          },
          "receiver": {
            "title": "Receiver",
            "allOf": [
              {
                "$ref": "#/components/schemas/AddressInfoV2"
              }
            ],
            "description": "Receiver of transaction",
            "example": {
              "address": "0xd2dc28f65c76510a4a930d28664a60828c4cf64e",
              "ens": "tima.eth",
              "is_whale": false,
              "blockchain": "ETH",
              "is_contract": false,
              "is_blue_chip_holder": false,
              "is_super_blue_chip_holder": false,
              "is_multi_sign_wallet": false
            }
          },
          "event": {
            "title": "Event",
            "type": "string",
            "description": "Transaction type",
            "example": "transfer"
          },
          "quantity": {
            "title": "Quantity",
            "type": "integer",
            "description": "Quantity of NFTs involved in the transaction",
            "example": 1
          },
          "tx_hash": {
            "title": "Tx Hash",
            "type": "string",
            "description": "Transaction hash",
            "example": "0x286b7537cc79dca661b28fc58137b9f0385d1e3886a147e087922e104d1d4311"
          },
          "time": {
            "title": "Time",
            "type": "integer",
            "description": "Transaction timestamp in seconds",
            "example": 1652626903
          },
          "nft": {
            "title": "Nft",
            "allOf": [
              {
                "$ref": "#/components/schemas/SimpleNFTInfoWithContractType"
              }
            ],
            "description": "NFT involved in the transaction",
            "example": {
              "contract_address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
              "token_id": "6512",
              "name": "Bored Ape Yacht Club #6512",
              "blockchain": "ETH",
              "contract_type": "ERC721"
            }
          },
          "collection": {
            "$ref": "#/components/schemas/CollectionBaseInfo"
          },
          "gas_fee": {
            "title": "Gas Fee",
            "allOf": [
              {
                "$ref": "#/components/schemas/PriceV3"
              }
            ],
            "description": "The gas fee of transaction"
          },
          "price": {
            "title": "Price",
            "allOf": [
              {
                "$ref": "#/components/schemas/PriceV3"
              }
            ],
            "description": "Value of the NFT transaction. May be None if the transcation is a transfer (send/receive), mint or burn"
          },
          "marketplace_path": {
            "title": "Marketplace Path",
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of marketplace or aggregator corresponding to the activity.",
            "example": [
              "blur-aggregator",
              "opensea"
            ]
          },
          "fees": {
            "title": "Fees",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Fee"
            }
          },
          "trait_offer_target": {
            "title": "Trait Offer Target",
            "allOf": [
              {
                "$ref": "#/components/schemas/TraitOfferTarget"
              }
            ],
            "description": "The value of the trait associated with the offer, only when the event is \"trait_offer\"."
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````